package com.brilliance.isc.funds.crtcro.check;

import com.brilliance.isc.common.transaction.newcheck.AbstractModuleValidator;
import com.brilliance.isc.funds.bo.funds.CrtcroStoreBo;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

/**
 * @program: isc-funds
 * @ClassName: CrtcroValidator
 * @description: 汇出清算 Crtcro 校验
 * @author: huangshunlin
 * @create: 2024-10-17 22:38
 */
@Component
public class CrtcroValidator extends AbstractModuleValidator<CrtcroStoreBo> {


    @Override
    @PostConstruct
    public void register() {
        super.register();
    }

    @Override
    public Map<String, String> validate(CrtcroStoreBo vo) {
        Map<String, String> maps = new HashMap<>();
        maps.putAll(super.validate(vo));
        return maps;
    }



}
