package com.brilliance.isc.funds.crtcro.register.settle;

import com.brilliance.isc.bo.Act;
import com.brilliance.isc.common.component.PtsptaToolComponent;
import com.brilliance.isc.common.register.settle.DefaultSettleRegister;
import com.brilliance.isc.common.register.settle.ISettleRegister;
import com.brilliance.isc.common.setglg.service.SetglgService;
import com.brilliance.isc.common.setglg.vo.SetglgVo;
import com.brilliance.isc.common.setmod.service.SetmodService;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.funds.crtcro.service.CrtcroTransactionServiceImpl;
import com.brilliance.isc.vo.funds.CrdBizInfoVo;
import com.brilliance.mda.runtime.mda.util.MdaUtils;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @program: isc-funds
 * @ClassName: CrtcroSettleRegister
 * @description: 汇入清算 Crtcro 结算注册
 * @author: huangshunlin
 * @create: 2024-10-16 20:27
 */
@Component("crtcro.settleRegister")
public class CrtcroSettleRegister implements ISettleRegister {

    @Autowired
    private SetglgService setglgService;

    @Autowired
    private DefaultSettleRegister defaultSettleRegister;

    @Autowired
    private SetmodService setmodService;

    @Autowired
    private PtsptaToolComponent ptsptaToolComponent;


    @Resource(name = "crtcro.transaction")
    CrtcroTransactionServiceImpl fxtsssTransactionService;

    @Override
    public void registerSettlement(SetmodVo setmodVo) {
        transRegister(setmodVo);
        defaultSettleRegister.registerSettlement(setmodVo);
    }

    /**
     * source:crtcro.0009.script
     */
    private void transRegister(SetmodVo setmodVo) {

    }
}
