package com.brilliance.isc.funds.fxtfop.document;

import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FxtfopStoreBo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @program: isc-funds
 * @ClassName: FxtfopDocSet
 * @description: 即期结汇 Fxtfop 面函
 * @author: huangshunlin
 * @create: 2024-10-08 15:39
 */
@Component("fxtfop.docset")
public class FxtfopDocSet extends AbstractTransactionDocSet<FxtfopStoreBo> {

    private static final Logger logger = LoggerFactory.getLogger(FxtfopDocSet.class);

    /**
     * 构建需要支持的面函组件
     */
    @PostConstruct
    public void buildMember() {
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }


}
