package com.brilliance.isc.funds.fxtsqo.check;

import com.brilliance.isc.common.transaction.newcheck.AbstractModuleValidator;
import com.brilliance.isc.funds.bo.funds.FxtsqoStoreBo;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

/**
 * @program: isc-funds
 * @ClassName: FxtsqoValidator
 * @description: 即期结售汇报价 Fxtsqo 校验
 * @author: huangshunlin
 * @create: 2024-10-18 15:38
 */
@Component
public class FxtsqoValidator extends AbstractModuleValidator<FxtsqoStoreBo> {


    @Override
    @PostConstruct
    public void register() {
        super.register();
    }

    @Override
    public Map<String, String> validate(FxtsqoStoreBo vo) {
        Map<String, String> maps = new HashMap<>();
        maps.putAll(super.validate(vo));
        return maps;
    }


}
