package com.brilliance.isc.funds.fxtsss.document;

import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FxtsssStoreBo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @program: isc-funds
 * @ClassName: FxtsssDocSet
 * @description: 即期售汇 Fxtsss 面函
 * @author: huangshunlin
 * @create: 2024-10-08 15:39
 */
@Component("fxtsss.docset")
public class FxtsssDocSet extends AbstractTransactionDocSet<FxtsssStoreBo> {

    private static final Logger logger = LoggerFactory.getLogger(FxtsssDocSet.class);

    /**
     * 构建需要支持的面函组件
     */
    @PostConstruct
    public void buildMember() {
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }


}
