package com.brilliance.isc.funds.bo.funds;

import com.brilliance.isc.bo.model.Crdgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @program: isc-funds
 * @ClassName: CrtctfStoreBo
 * @description: 转汇清算 bo
 * @author: huangshunlin
 * @create: 2024-10-16 21:44
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CrtctfStoreBo extends BaseTransactionVo {

    private Crdgrp crdgrp;

    @Override
    public void reset() {
        super.reset();
        if (crdgrp == null) {
            crdgrp = new Crdgrp();
        }
        crdgrp.reset();
    }
}
