package com.brilliance.isc.funds.common.controller;


import com.brilliance.isc.common.api.liaall.controller.AbstractLiaallController;
import com.brilliance.isc.common.api.liaall.vo.LiaallRequest;
import com.brilliance.isc.common.api.liaall.vo.LiaallResponse;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.funds.FtdBizAmdInfoVo;
import com.brilliance.isc.vo.funds.FtdBizInfoVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 表外记账组件
 */
@RestController
@RequestMapping("/ftd")
public class FtdLiaallController extends AbstractLiaallController<FtdBizInfoVo, FtdBizAmdInfoVo> {

    /**
     * 表外记账试算服务
     *
     * @param liaallRequest
     * @return
     */

    @RequestMapping("/liaall/assertLiaall")
    @Override
    public ResponseSet<LiaallResponse> calcLiaall(@RequestBody LiaallRequest<FtdBizInfoVo, FtdBizAmdInfoVo> liaallRequest) {
        return super.calcLiaall(liaallRequest);
    }
}
