package com.brilliance.isc.funds.fttpcm.register.settle;

import com.brilliance.isc.bo.model.Ftdgrp;import com.brilliance.isc.common.glemod.service.GlemodService;
import com.brilliance.isc.common.register.settle.DefaultSettleRegister;
import com.brilliance.isc.common.register.settle.ISettleRegister;
import com.brilliance.isc.common.setglg.service.SetglgService;
import com.brilliance.isc.common.setglg.vo.SetglgVo;import com.brilliance.isc.common.setmod.service.SetmodService;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import com.brilliance.isc.common.transaction.check.TrnmodCheck;import com.brilliance.isc.common.trnmod.service.impl.TrnmodServiceImpl;import com.brilliance.isc.common.trnmod.vo.TrnmodVo;import com.brilliance.isc.funds.common.component.FtToolComponent;import com.brilliance.isc.vo.funds.FtdBizInfoVo;import org.apache.poi.hpsf.Decimal;import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Component("fttpcm.settleRegister")
public class FttpcmSettleRegister implements ISettleRegister {

    @Autowired
    private SetmodService setmodService;
    @Autowired
    private SetglgService setglgService;
    @Autowired
    private DefaultSettleRegister defaultSettleRegister;

    @Autowired
    private GlemodService glemodService;

    @Autowired
    private TrnmodServiceImpl trnmodService;
    @Autowired
    private FtToolComponent ftToolComponent;

    @Override
    public void registerSettlement(SetmodVo setmodVo) {
        transRegister(setmodVo);
        defaultSettleRegister.registerSettlement(setmodVo);
        //dftcreSettleRegister.registerSettlement(setmodVo);
        //trtcreSettleRegister.registerSettlement(setmodVo);

//        if( Platform.checkUsrBranch("2") )
//            dbtKey = this.getSetmod().setGlgAmt ( "TRN", "OWN", this.getSetmod().getDoccur(), this.getFtdgrp().getCbs().getMax().getAmt(), "" );
//            cdtKey = this.getSetmod().setGlgAmt ( "TRN", "TRO", this.getSetmod().getDoccur(), this.getFtdgrp().getCbs().getMax().getAmt().negate(), "" );
//            this.getTrnmod().getTrnism().setDefDsp ( "OWN", "D", "FTD" + CR + "DRD" );
//            this.getTrnmod().getTrnism().setDefDsp ( "TRO", "C", "PAC" + CR + "DRC" );
//            this.getSetmod().setFeeCliRol ( "TRO" );
//            this.getSetmod().setglgAllValDat ( this.getFtdgrp().getRec().getValdat(), "D" );
//        }
    }
    public void transRegister(SetmodVo setmodVo) {
        FtdBizInfoVo rec = (FtdBizInfoVo) setmodVo.getRec();
        Ftdgrp ftdgrp = ftToolComponent.getFtdgrpByInr(rec.getObjinr());
        //取得上下文
        setmodVo.setDoccur(ftdgrp.getCbs().getMax().getCur());
        setmodVo.setDocamt(ftdgrp.getCbs().getMax().getAmt());
        SetglgVo setglg = setmodVo.getSetglg();
        setglgService.setglgClrAmount ( setglg,"TRN" );
        String dbtKey = NULLSTR;
		String cdtKey = NULLSTR;
        dbtKey = setmodService.setGlgAmt ( setmodVo,"OWN","D",setmodVo.getDoccur(),ftdgrp.getCbs().getMax().getAmt(), "FTD");
        cdtKey = setmodService.setGlgAmt ( setmodVo,"TRN", "C", setmodVo.getDoccur(), ftdgrp.getCbs().getMax().getAmt(), "PAC" );
//             trnmodVo.getTrnism().setDefDsp("OWN", "D", "FTD" + "\r" + "DRD");
//             trnmodVo.getTrnism().setDefDsp("TRO", "C", "PAC" + "\r" + "DRC");
             setmodVo.setFeeclirol("TRO");
         //    setmodVo.setglgAllValDat(rec.getValdat(), "D");




    }
}
