package com.brilliance.isc.funds.fttpcn.register.doc;

import com.brilliance.isc.common.component.PtsptaToolComponent;
import com.brilliance.isc.common.register.document.IDocumentRegister;
import com.brilliance.isc.common.register.document.common.SetmodDocumentRegister;
import com.brilliance.isc.common.trndoc.service.TrndocService;
import com.brilliance.isc.common.trndoc.vo.TrndocVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @description: Fttpcn 报文注册
 * @create: 2024-10-18
 */
@Component("fttpcn.documentRegister")
public class FttpcnDocumentRegister implements IDocumentRegister {

    @Autowired
    TrndocService trndocService;
    @Resource
    PtsptaToolComponent ptsptaToolComponent;
    @Autowired
    private SetmodDocumentRegister setmodDocumentRegister;

    @Override
    public void registerDocument(TrndocVo trndoc) {

        doRegister(trndoc);
        setmodDocumentRegister.registerDocument(trndoc);
        //entmodDocumentRegister.registerDocument(trndoc);
    }

    public void doRegister(TrndocVo trndoc){

    }
}
