package com.brilliance.isc.funds.fxtlop.document;

import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FxtlopStoreBo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @program: isc-funds
 * @ClassName: FxtlopDocSet
 * @description: 结售汇平盘登记 Fxtlop 面函
 * @author: wangweidong
 * @create: 2024-10-08 16:39
 */
@Component("fxtlop.docset")
public class FxtlopDocSet extends AbstractTransactionDocSet<FxtlopStoreBo> {

    private static final Logger logger = LoggerFactory.getLogger(FxtlopDocSet.class);

    /**
     * 构建需要支持的面函组件
     */
    @PostConstruct
    public void buildMember() {
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }


}
