package com.brilliance.isc.funds.vo.funds;


import com.brilliance.isc.bo.model.Ftdgrp;import com.brilliance.isc.bo.model.Fttp;import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;import com.fasterxml.jackson.annotation.JsonIgnoreProperties;import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FttpcnStoreVo extends BaseTransactionVo{
        private Ftdgrp ftdgrp;

        private Fttp fttp;

        @Override
        public void reset() {
            super.reset();
            if (ftdgrp == null) {
                ftdgrp = new Ftdgrp();
            }
            ftdgrp.reset();

            if (fttp == null) {
                fttp = new Fttp();
            }
            fttp.reset();
        }
}
